# coding: utf-8

"""
    Synctera API

    <h2>Let's build something great.</h2><p>Welcome to the official reference documentation for Synctera APIs. Our APIs are the best way to automate your company's banking needs and are designed to be easy to understand and implement.</p><p>We're continuously growing this library and what you see here is just the start, but if you need something specific or have a question, <a class='text-blue-600' href='https://synctera.com/contact' target='_blank' rel='noreferrer'>contact us</a>.</p>  # noqa: E501

    The version of the OpenAPI document: 0.46.0
    Generated by: https://openapi-generator.tech
"""

from datetime import date, datetime  # noqa: F401
import decimal  # noqa: F401
import functools  # noqa: F401
import io  # noqa: F401
import re  # noqa: F401
import typing  # noqa: F401
import typing_extensions  # noqa: F401
import uuid  # noqa: F401

import frozendict  # noqa: F401

from synctera_client import schemas  # noqa: F401


class Status(
    schemas.EnumBase,
    schemas.StrSchema
):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    The status of the account

| Status | Description | Transactable |
|------|-----------|-----|
| ACCOUNT_NEVER_ACTIVE | Account was never activated by the customer | N |
| ACCOUNT_NOT_DESIRED | A credit account was created for a customer, but the customer did not accept the account | N |
| ACTIVATED_NOT_DISBURSED | A credit account was created for the customer, but the funds have not been paid out or used | N |
| ACTIVE_OR_DISBURSED | The account is active and transactable | Y |
| APPLICATION_SUBMITTED | Deprecated status | N |
| AWAITING_FIXING | Account is awaiting fixing | N |
| CHARGED_OFF | The account has been charged off and is closed | N |
| CLOSED | Accounts must be zeroed out before being closed.  Closed accounts cannot transact | N |
| DELINQUENT | Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle | N |
| FAILED_KYC | We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks | N |
| IN_CLOSING | The account is in the process of being closed | N |
| RESTRICTED | Synctera will update accounts to restricted of the account holder has not successfully passed KYC | N |
| SUSPENDED | Account has been suspected of fraudulent activity and is blocked from further transactions | N |

    """
    
    @schemas.classproperty
    def APPLICATION_SUBMITTED(cls):
        return cls("APPLICATION_SUBMITTED")
    
    @schemas.classproperty
    def FAILED_KYC(cls):
        return cls("FAILED_KYC")
    
    @schemas.classproperty
    def ACCOUNT_NOT_DESIRED(cls):
        return cls("ACCOUNT_NOT_DESIRED")
    
    @schemas.classproperty
    def ACTIVE_OR_DISBURSED(cls):
        return cls("ACTIVE_OR_DISBURSED")
    
    @schemas.classproperty
    def CLOSED(cls):
        return cls("CLOSED")
    
    @schemas.classproperty
    def SUSPENDED(cls):
        return cls("SUSPENDED")
    
    @schemas.classproperty
    def CHARGED_OFF(cls):
        return cls("CHARGED_OFF")
    
    @schemas.classproperty
    def ACCOUNT_NEVER_ACTIVE(cls):
        return cls("ACCOUNT_NEVER_ACTIVE")
    
    @schemas.classproperty
    def ACTIVATED_NOT_DISBURSED(cls):
        return cls("ACTIVATED_NOT_DISBURSED")
    
    @schemas.classproperty
    def AWAITING_FIXING(cls):
        return cls("AWAITING_FIXING")
    
    @schemas.classproperty
    def IN_CLOSING(cls):
        return cls("IN_CLOSING")
    
    @schemas.classproperty
    def RESTRICTED(cls):
        return cls("RESTRICTED")
    
    @schemas.classproperty
    def DELINQUENT(cls):
        return cls("DELINQUENT")
